<!DOCTYPE html>
<html lang="es" class="no-js" xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">
<h:head>
	<meta charset="utf-8" />
	<title><ui:insert name="title">#{asistenciaSalaMB.nombreSistema}</ui:insert></title>
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />

	<meta http-equiv="X-UA-Compatible" content="IE=7,8,9" />

	<h:outputStylesheet name="./css/bootstrap.min.css" />
	<!-- <link rel="shortcut icon" type="image/x-icon" href="#{request.contextPath}/faces/resources/img/favicon.ico"/> -->
	<link rel="shortcut icon"
		href="http://www.bnp.gob.pe/wp-content/uploads/2017/08/favicon_logo.fw_.png" />

	<h:outputScript name="./js/prefixfree.min.js" />
	<h:outputScript name="./js/barrarScroll.js" />
	<h:outputScript name="./js/bootstrap.min.js" />
	<h:outputScript name="./js/scripts.js" />
	<h:outputScript name="./js/main/app.js" />
	<h:outputScript name="./js/jquery.plugin.min.js" />
	<h:outputScript name="./js/jquery.realperson.min.js" />

	<h:outputStylesheet name="./css/fonts.css" />

	<h:outputStylesheet name="./css/styles.css" />
	<h:outputStylesheet name="./css/css_font/fontello.css" />
	<h:outputStylesheet name="./css/css_font/animation.css" />
	<h:outputStylesheet name="./css/main.css" />
	<h:outputStylesheet name="./css/font-awesome.min.css" />
	<h:outputStylesheet name="./css/jquery.realperson.css" />
	<h:outputStylesheet name="./css/style_ext.css" />
	<h:outputScript name="./js/modernizr.js" />


	<h:outputText
		value="&lt;!--[if IE 7]&gt;&lt;link rel=&quot;stylesheet&quot; href=&quot;fontello-ie7.css&quot; /&gt;&lt;![endif]--&gt;"
		escape="false" />
	<h:outputText
		value="&lt;!--[if lte IE 7]&gt;&lt;link rel=&quot;stylesheet&quot; href=&quot;ie6-ie7.css&quot; /&gt;&lt;![endif]--&gt;"
		escape="false" />

	<style>
.content-wrapper {
	/*min-height: inherit;*/
	min-height: 100%;
	padding-bottom: 0;
}

#box-cont-login {
	min-height: 100%;
}

footer {
	position: relative;
}
</style>
	<style>
#main-login {
	background: #fff;
	min-width: 309px;
	width: 28%;
	margin: 0 auto;
	max-width: 33%;
	margin-top: 3%;
	box-shadow: 0 5px 10px rgba(0, 0, 0, 0.5)
}

#main-login #linkOlvidopass {
	font-size: 12px
}

#main-login #headerLogin {
	background: #1A171B;
	color: #fff;
	font-family: "Roboto", sans-serif;
}

#main-login #headerLogin img {
	display: inline-block;
	vertical-align: middle
}

#main-login #headerLogin .sidelLogo {
	font-size: 17px;
	display: inline-block;
	line-height: 36px;
	vertical-align: middle;
	height: 36px
}

#main-login #headerLogin .sideltexto {
	font-weight: 100;
	font-size: 18px;
	padding: 15px 0px 6px;
	line-height: 24px;
	display: block;
	opacity: .7
}

#main-login #headerLogin .colorCeleste {
	padding-top: 9px;
	padding-bottom: 6px;
	text-align: center;
	background: #0047ba
}

#main-login i {
	opacity: .7;
	color: "Roboto", sans-serif
}

#main-login .ui-inputfield, #main-login .input-group-addon {
	border-radius: 0px;
	background: none
}

#main-login input {
	outline: none;
	box-shadow: none
}

#main-login button {
	border-radius: 0;
	text-shadow: none;
	color: #fff;
	background: #0047ba;
	width: 100%;
	padding: 4px
}

#main-login .checkbox {
	font-size: 13px;
	margin: 15px 0 0;
	display: inline-block;
}

#box-nv-rc {
	float: right;
	margin-top: 15px;
}

#main-login .checkbox span {
	vertical-align: 3px;
	margin-left: 4px
}

#main-login .right a {
	font-size: 13px;
	display: block
}

#main-login .right a:hover {
	color: "Roboto", sans-serif;
	text-decoration: underline
}

#main-login form {
	padding: 40px 15px
}

#main-login form input[placeholder] {
	color: #808080;
	font-size: 12px;
	font-style: oblique
}

.navegador, #boxNave {
	font-size: 11px;
	opacity: .6;
	display: inline-block;
	vertical-align: middle;
	margin-right: 5px;
	line-height: 12px
}

#firefox, #chrome {
	display: inline-block;
	vertical-align: middle;
	width: 27px;
	height: 27px;
	background-size: 64px auto !important;
	opacity: .4;
	transition: all 150ms ease-out
}

#firefox:hover, #chrome:hover {
	opacity: 1
}

#firefox {
	background: url("../../resources/img/sprites.png") -38px 0 no-repeat
}

#chrome {
	background: url("../../resources/img/sprites.png") 0 0 no-repeat;
	margin-right: 0px
}
</style>
	<h:outputText>
		<!-- <link type="text/css" rel="stylesheet" href="./css/ie.css"/> -->
	</h:outputText>

	<!--[if IE 9]>
            <link type="text/css" rel="stylesheet" href="./css/ie.css"
        <![endif]-->

	<!--[if lt IE 9]>
          <script src="http://ie7-js.googlecode.com/svn/version/2.1(beta4)/IE9.js"></script>
        <![endif]-->

	<!--[if gte IE 9]>
        <style type="text/css">
        .gradient {
        filter: none;
        }
        </style>
        <![endif]-->
	<ui:insert name="headCont"></ui:insert>
	<!-- Global site tag (gtag.js) - Google Analytics -->
	<script async="async" src="https://www.googletagmanager.com/gtag/js?id=UA-125425163-1"></script>
	<script>
	  window.dataLayer = window.dataLayer || [];
	  function gtag(){dataLayer.push(arguments);}
	  gtag('js', new Date());
	
	  gtag('config', 'UA-125425163-1');
	</script>	
</h:head>
<h:body>
	<div id="box-cont-login">
		<!-- HEADER END-->
		<div class="navbar navbar-inverse set-radius-zero">
			<div class="container">
				<div class="navbar-header">
					<button type="button" class="navbar-toggle" data-toggle="collapse"
						data-target=".navbar-collapse">
						<span class="icon-bar"></span> <span class="icon-bar"></span> <span
							class="icon-bar"></span>
					</button>


					<p:commandLink actionListener="#{seguridadMB.login()}">
						<span id="box-logo" class="navbar-brand"> servir </span>
					</p:commandLink>


				</div>

				<div class="left-div">
					<span>#{bandejaSalaDelUsuarioMB.nombreSistema}</span> <small>#{bandejaSalaDelUsuarioMB.versionSistema}</small>
				</div>
			</div>
		</div>
		<div style="visibility: hidden;">
			#{ausenciaSchedulerMB.startScheduler}</div>
		<!-- LOGO HEADER END-->
		<div class="content-wrapper box_main_app clearfix">
			<div id="main-login" class="row" style="width: 377px">
				<div class="col-xs-12">
					<div class="iso"></div>
					<div id="headerLogin" class="row">
						<div class="col-xs-4 colorCeleste">
							<img src="../../resources/img/sigdac-logo.png" alt="" width="32" />
							<span class="img-circle sidelLogo">SIRU</span>
						</div>
						<div class="col-xs-8 colorBlack">
							<span class="sideltexto">Bienvenido</span>
						</div>
					</div>
					<h:form styleClass="clearfix" id="formLogin">
						<p:growl id="mensaje" showDetail="true" sticky="false" life="5000" />

						<div class="form-group">
							<div class="input-group">
								<div class="input-group-addon">
									<i class="fa fa-user"> </i>
								</div>
								<p:inputText id="txtUsuario"
									value="#{seguridadMB.usuario.usuario}" maxlength="20"
									required="false"
									styleClass="form-control" tabindex="1" />
								<p:watermark for="txtUsuario" value="Ingrese su usuario" />
							</div>
						</div>
						<div class="form-group">
							<div class="input-group">
								<div class="input-group-addon">
									<i class="fa fa-key"></i>
								</div>
								<p:password id="txPassWord" value="#{seguridadMB.usuario.clave}"
									maxlength="20" required="false" styleClass="form-control"
									tabindex="2" />
								<p:watermark for="txPassWord" value="Ingrese su clave" />
							</div>
						</div>
						<div class="form-group">
							<div class="input-group ">
								<div class="input-group-addon">
									<i class="fa fa-university"></i>
								</div>
								<p:selectOneMenu id="cmbSala" required="false" value="#{seguridadMB.usuario.sesionSalaUsuario.sala.idSala}" styleClass="form-control style-select" tabindex="3">
									<f:selectItem itemValue="0" itemLabel="---  Seleccione la Sala  --- " />
									<f:selectItems value="#{seguridadMB.listaSalas}" var="item" itemValue="#{item.idSala}" itemLabel="#{item.nombreSala}" />
								</p:selectOneMenu>
							</div>
						</div>
						<div class="captcha form-group" align="center">
							<br />
						</div>
						<p:commandButton id="btnIngresar" tabindex="4"
							action="#{seguridadMB.validar()}" ajax="false"
							styleClass="btn btn-primary" update="mensaje" value="Ingresar" />
					</h:form>
					<h:form>
						<p:poll interval="58" listener="#{seguridadMB.cerrarSesion()}"  />
					</h:form>					
				</div>
			</div>
		</div>
	</div>

	<!-- CONTENT-WRAPPER SECTION END-->
	<footer>
		<div class="grisFooter">
			<div class="container">
				<div class="row">
					<div class="col-md-6" style="margin-top: 6px;">

						<!-- <p><small>Aplicativo Admistrado por la Unidad de Sistemas y Tecnologías</small></p> -->
						<p>
							<small>Aplicativo Admistrado por la Oficina de Tecnología
								de la Información y Estadística</small>
						</p>
						<p>
							<small>Av. De la Poesía 160, San Borja – Lima - Perú</small>
						</p>
						<p>
							<small><span class="icon-mobile"></span>513 6900 Anexo
								7144/7142 | <span class="glyphicon glyphicon-envelope"></span>
								dapi@bnp.gob.pe </small>
						</p>
					</div>
					<div class="col-md-6 text-right">
						<img src="../../resources/img/img_inst.png" alt="" width="450px"
							style="padding: 10px 0" />
					</div>
				</div>
			</div>
		</div>

		<div class="grisFooter">
			<div class="container">
				<div class="row">
					<div class="col-md-6">
						<span>Copyright #{bandejaSalaDelUsuarioMB.currentYear} ©
							Biblioteca Nacional del Perú - Todos los derechos reservados</span>
					</div>
				</div>
			</div>
		</div>


		<p:confirmDialog global="true" showEffect="fade" hideEffect="fade"
			closeOnEscape="true" rendered="true">
			<p:commandButton value="Si" type="button"
				styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
			<p:commandButton value="No" type="button"
				styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
		</p:confirmDialog>

	</footer>
	<div id="boxValidateLogin" class="ui-growl ui-widget"
		style="z-index: 1001;">
		<div
			class="ui-growl-item-container ui-state-highlight ui-corner-all ui-helper-hidden ui-shadow msgAlert"
			aria-live="polite">
			<div class="ui-growl-item">
				<div
					class="ui-growl-icon-close ui-icon ui-icon-closethick btnCloseAlert"></div>
				<span class="ui-growl-image ui-growl-image-warn"></span>
				<div class="ui-growl-message">
					<span class="ui-growl-title">Aviso</span>
					<p id="box-info-alert">Usuario o clave incorrecta, por favor
						inténtentelo nuevamente!</p>
				</div>
				<div style="clear: both;"></div>
			</div>
		</div>
	</div>
	<script>
    jQuery(document).ready(function($) {
        var div_alto_pag = $(window).height();
     
        var box_main_app= $("#box_main_app").height();

        var footer_height= $("footer").height();
         
        var rstd = div_alto_pag  - footer_height;

        $("#box-cont-login").height(rstd);

    });

</script>

	<script type="text/javascript">
    $(function() {
        $('#defaultReal').realperson();
    });
    $("#formLogin\\:btnIngresar").click(function() {

        if( $("#formLogin\\:txtUsuario").val() == "" ){
            $("#formLogin\\:txtUsuario").focus();
            $(".msgAlert").fadeIn("slow")
            $("#box-info-alert").html("<span>Ingrese un nombre de usuario</span>");

            setTimeout(function(){
                $(".msgAlert").fadeOut(1500);
            },5000);

            return false;
        }else if( $("#formLogin\\:txPassWord").val() == "" ){
            $("#formLogin\\:txPassWord").focus();
            $(".msgAlert").fadeIn("slow")
            $("#box-info-alert").html("<span>Ingrese clave</span>");
            setTimeout(function(){
                $(".msgAlert").fadeOut(1500);
            },5000);
            return false;
        }else if($("#formLogin\\:cmbSala option:selected").val() == "0" ){
            $(".msgAlert").fadeIn("slow")
            $("#box-info-alert").html("<span>Seleccione la sala</span>");
            setTimeout(function(){
                $(".msgAlert").fadeOut(1500);
            },5000);
            return false;
        }             
    }); 

    $(".btnCloseAlert").click(function() {
        $(".msgAlert").fadeOut();
    });   
</script>
</h:body>
</html>
